<?php
/**
 * Contains a single method that can be used to clean-up data meant for use in a SQL query.
 * N.B: It is assumed that MySQL extension is being used. If you are using MySQLi or any other extension, you can make the necessary modifications.
 *
 * @author Faniran, Oyetunde
 */
class Data_Cleaner {
    
    function __construct () {}
    
    //Elements in $trimNot[] would not be trimmed while those in $touchNot[] would not be escaped at all
    /**
     * Cleans-up and escapes the data in $toEscape (If it's an array. It would return the array with every element in the array duly escaped.)
     * @param mixed $toEscape       This is the data to be cleaned-up. It can be a string, an array, array of arrays etc.
     * @param array $trimNot        If $toEscape is an array and it contains some elements that should not be trimmed (eg. password), then $trimNot should contain the keys of such fields
     * @param array $touchNot       If $toEscape is an array and it contains some elements that should not be escaped (For whatever reason), then $touchNot should contain the keys of such fields
     * @return mixed                It returns $toEscape with all the elements of the array escaped (in the case of an array) or an escaped string if $toEscape is a string.
     */
    public static function doEscape($toEscape, $trimNot = array(), $touchNot = array()){
        if (is_array($toEscape)){
            foreach ($toEscape as $key=>$value){
                if (!is_array($value)){
                    if (!in_array($key, $touchNot)){
                        if (!in_array($key, $trimNot)){
                            $value = trim ($value);
                        }
                        $value = get_magic_quotes_gpc() ? stripslashes ($value) : $value;
//                        $toEscape[$key] = mysql_real_escape_string (htmlentities(strip_tags($value), ENT_QUOTES));
						$toEscape[$key] = mysql_real_escape_string (htmlentities($value, ENT_QUOTES));
//						$toEscape[$key] = mysql_real_escape_string ($value);
                    }
                } else $toEscape[$key] = $this->doEscape ($value, $trimNot, $touchNot);
            }
        } else {
			$toEscape = get_magic_quotes_gpc() ? stripslashes ($toEscape) : $toEscape;
//			$toEscape = mysql_real_escape_string (htmlentities(stripslashes (trim(strip_tags($toEscape))), ENT_QUOTES));
			$toEscape = mysql_real_escape_string (htmlentities(trim($toEscape), ENT_QUOTES));
//			$toEscape = mysql_real_escape_string (trim($toEscape));
		}
		return $toEscape;
	}   //END doEscape()
}   //END class()



//Escape all data
$all_arrays = array('_GET', '_POST', '_COOKIE');
foreach ($all_arrays as $array_name){
	if (isset(${$array_name})){
		$dis_global_array = Data_Cleaner::doEscape(${$array_name});
		
		${$array_name} = $dis_global_array;
		if(ini_get('register_globals')){
			extract($dis_global_array);
		}
	}
}