<?php
//use this for calling files from within administrative.
//require_once('admin_mws_settings.php');
//require_once('../moodle_webservice/client_test_requires.php');

//use this for calling files from within moodle_webservice/lib/
//require_once('../mws_settings.php');
//require_once('../client_test_requires.php');

Class CallCMoodle {

	protected $domain = 'http://www.nda.edu.ng';
	protected $moodle_domain = 'http://www.nda.edu.ng/e-learn';
	protected $token = '314ee76bc42b91c027b7f4a6c181aaa3';
	protected $pre_addr = 'http://';
    protected $post_addr = '/e-learn';
    protected $cookie_file = "./curlx_cookies.txt";
    protected $moodle_config_file = '../../nda/e-learn/config.php';
    protected $moodle_folder_name = '/e-learn/';
    protected $moodle_path = '/e-learn/';
    protected $curl_session_cookie_file_location;
    protected $moodle_data_root;
    protected $error_msg;
        
    public function __construct() {
          
    }
    
    public function get_error_msg() {
    	return $this->error_msg;
    	//empty the error_msg property after returning it.
    	//$this->error_msg = '';
    }

    public function set_domain($mws_domain) {
            $this->domain = $mws_domain;
    }
    
    public function set_moodle_domain($mws_moodle_domain) {
    	$this->moodle_domain = $mws_moodle_domain;
    }
        
    public function get_domain() {
		if ($this->is_local()) {
			$url = $this->pre_addr.$_SERVER['SERVER_NAME'].'/nda';
			return $url;
		}
        $url = $this->pre_addr.$_SERVER['SERVER_NAME'];
        return $url;
    }
    
    public function get_moodle_domain() {
		if ($this->is_local()) {
			$url = $this->pre_addr.$_SERVER['SERVER_NAME'].'/nda'.$this->post_addr;
			return $url;
		}
        $url = $this->pre_addr.$_SERVER['SERVER_NAME'].$this->post_addr;
        return $url;
    }
    
    public function set_moodle_config_file($mws_moodle_config_file) {
    	$this->moodle_config_file = $mws_moodle_config_file;
    }
    
    public function set_moodle_folder_name($mws_moodle_folder_name) {
    	$this->moodle_folder_name = $mws_moodle_folder_name;
    	$this->post_addr = $mws_moodle_folder_name;
    }
    
    public function set_curl_session_cookie_file_location ($mws_curl_session_cookie_file_location) {
    	$this->curl_session_cookie_file_location = $mws_curl_session_cookie_file_location;
    }
    
    public function set_moodle_data_root($mws_moodle_data_root) {
    	$this->moodle_data_root = $mws_moodle_data_root;
    }
    
    public function set_moodle_path($mws_moodle_path) {
    	$this->moodle_path = $mws_moodle_path;
    }
    
    public function set_properties($properties) {
    	 $this->set_domain($properties['mws_domain']);
    	 $this->set_moodle_domain($properties['mws_moodle_domain']);
    	 $this->post_addr = $properties['mws_moodle_folder_name'];
    	 $this->set_moodle_config_file($properties['mws_moodle_config_file']);
    	 $this->set_moodle_folder_name($properties['mws_moodle_folder_name']);
    	 $this->set_curl_session_cookie_file_location($properties['mws_curl_session_cookie_file_location']);
    	 $this->set_moodle_data_root($properties['mws_moodle_data_root']);
    	 $this->set_moodle_path($properties['mws_moodle_path']);
    }
    
    public function get_properties() {		
		echo 'mws_domain: '.$this->domain.'<br />';
		echo 'mws_moodle_domain: '.$this->moodle_domain.'<br />';
		echo 'mws_moodle_config_file: '.$this->moodle_config_file.'<br />';
		echo 'mws_moodle_folder_name: '.$this->moodle_folder_name.'<br />';
		echo 'mws_curl_session_cookie_file_location: '.$this->curl_session_cookie_file_location.'<br />';
		echo 'mws_moodle_data_root: '.$this->moodle_data_root.'<br />';
		echo 'mws_moodle_path: '.$this->moodle_path.'<br />';
		//echo 'mws_moodle_soap_server'.$mws_moodle_soap_server;
		//echo 'mws_moodle_config_file'.$mws_moodle_config_file;
    }
    
    
	public function get_server_os() {
		$sys = strtoupper(PHP_OS);
 
	    if(substr($sys,0,3) == "WIN") {
	        $os = 2;
	    }
	    elseif($sys == "LINUX") {
	        $os = 3;
	    }
   		else {
        	$os = 4;
    	}
 
	    return $os;
	}
	
	public function is_linux_os() {
		$response = '';
		$response = $this->get_server_os();
		if ($response == 3) {
			return TRUE;
		}
		return FALSE;
	}
		
	public function is_local() {
		if (stristr($_SERVER['HTTP_HOST'], 'local') || (substr($_SERVER['HTTP_HOST'], 0, 7) == '192.168')) {
			return TRUE; 
		}			
		return  FALSE;			
	}
	
	public function get_server_name() {
		return $_SERVER['SERVER_NAME'];
	}
	
	public function get_request_url() {
		return $_SERVER['REQUEST_URI'];
	}
	
	private function _get_location() {
		$location = $_SERVER['REQUEST_URI'];
		$url_array = split();
	}
	
	public function get_cookie_file() {
		return $this->cookie_file;
	}
	
	public function set_cookie_file($file_location) {
		$this->cookie_file = $file_location;
	}

	function call_moodle($function_name, $params ) {
		$serverurl = $this->moodle_domain . '/webservice/rest/server.php'. '?wstoken=' . $this->token . '&wsfunction='.$function_name;
		require_once( 'Curl.php' );
		$curl = new Curl;
		$response = $curl->post( $serverurl , $params );
		return $response;
	}
	
	//This method checks for error in the returned xml_response.
	public function is_xmlresponse_an_exception( $xml_string ) {
            $xml_tree = new SimpleXMLElement( $xml_string );          

            $is_exception = $xml_tree->getName() == 'EXCEPTION';
            return $is_exception;           
    }
    
    //This method is called by other call_moodle method to check if an error was returned
    public function test_for_error($response) {
            
            if ( !$this->is_xmlresponse_an_exception($response) ) {
                    return false;
                }
		return true;
                
    }
    
    //This function is special because it simulates a situation where call_moodle returns an error.
    public function test_error() {
		
		$params = array('courseid' => '225aa');
		$method = 'core_course_get_contents';
		$response = $this->call_moodle($method, $params);
                $response = $this->test_for_error($response);
                print_r($response);
		
	}
	
	public function enroll_lecturer($lecturer_id, $course_id) {
		
		$role_id = 3;
		$enrol_courses = array(array('roleid' =>$role_id, 'userid' => $lecturer_id, 'courseid' => $course_id));
		$params = array('enrolments' => $enrol_courses);
		$method = 'enrol_manual_enrol_users';
		$response = $this->call_moodle($method, $params);
		return $response;
		
	}
	
	public function create_lecturer($parameter) {
		
		$username = $parameter['username'];
		$password = $parameter['password'];
		$fname = $parameter['firstname'];
		$lname = $parameter['lastname'];
		$email = $parameter['email'];
		//echo "username: $username ,  password : $password , firstname : $fname , lastname : $lname , email: $email ";
		//exit;
		$enrol_std = array(array('username' => "$username" , 'password' => "$password", 'firstname' =>"$fname" , 'lastname' => "$lname", 'email' => "$email", 'auth' => "manual", 'idnumber' => "$username", 'lang' => "en", 'theme' => "standard", 'timezone' => "0", 'mailformat' => "0", 'description' => "Account created for $fname $lname", 'city' => "Lagos", 'country' => "NG"));
		$params = array('users' => $enrol_std);
		$method = 'core_user_create_users';
		$response = $this->call_moodle($method, $params);
		return $response;
		
	}
	
	public function create_lecturer_assign_course ($lecturer_data, $course_id) {
	
		$response = $this->create_lecturer($lecturer_data);
		
		if ($response) {
			//parse the xml returned 
			$dresult = stripslashes($response);
			$dresult = simplexml_load_string($dresult);
			
			//print_r($dresult);
		
			$lecturer_id = $dresult->MULTIPLE->SINGLE->KEY[0]->VALUE;
			echo " <br /> Lecturer ID: $lecturer_id <br /> ";
			echo " <br /> Course ID: $course_id <br /> ";
			exit;
			$lecturer_username = $dresult->MULTIPLE->SINGLE->KEY[1]->VALUE; //sam as the matric number
			$this->enroll_lecturer($lecturer_id, $course_id);
			return TRUE;
		}
		
		return FALSE;
		
	}//end create_lecturer_assign_course()
	
	public function update_student_record($user) {
	
		$id = $user['id'];
		$username = $user['username'];
		$fname = $user['firstname'];
		$lname = $user['lastname'];
		$email = $user['email'];
		$city = $user['city'];
		$country = $user['country'];
		
		if (!empty($user['usernamme'])) {
			$username = $user['username'];	
		}
		
		if (!empty($user['firstname'])) {
			$firstname = $user['firstname'];	
		}
		
		if (!empty($user['lastname'])) {
			$lastname = $user['lastname'];	
		}
		
		if (!empty($user['email'])) {
			$email = $user['email'];	
		}
		
		if (!empty($user['city'])) {
			$city = $user['city'];	
		}
		
		if (!empty($user['country'])) {
			$country = $user['country'];	
		}
		
		

		$update_std = array(array('id' => $id , 'username' => "$username" , 'firstname' =>"$fname" , 'lastname' => "$lname", 'email' => "$email", 'auth' => "manual", 'idnumber' => "$username", 'lang' => "en", 'theme' => "standard", 'timezone' => "0", 'mailformat' => "0", 'description' => " $fname $lname", 'city' => "$city", 'country' => "$country"));
		$params = array('users' => $update_std);
		$method = 'core_user_update_users';
		$response = $this->call_moodle($method, $params);
		return $response;
	
	} //end update_student_record()
	
	public function update_student_password($student_id, $password) {
	
		$id = $student_id;
		$update_pass = array(array('id' => $id, 'password' => "$password"));
		$params = array('users' => $update_pass);
		$method = 'core_user_update_users';
		$response = $this->call_moodle($method, $params);
		return $response;
	
	}
	
	public function login($username, $password) {
		
		$username = $username;
		$password = $password;
	
		$params = array( 'username' => $username, 'password' => $password );
	
		$serverurl = $this->moodle_domain . '/login/index.php';
	
		$ch = curl_init($serverurl);
	
		$httpheader = array ('Content-type: multipart/form-data');
		curl_setopt($ch, CURLOPT_HTTPHEADER, $httpheader);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)");
		
		//$cookie_file = $this->get_cookie_file();
		
		//if the cookie file is on a development server on windows, overwrite its location
		if ($this->is_local()) {
			
			$dusername = str_replace("/","_",$username);
			$dpassword = str_replace("/","_",$password);
			$cookie_file = "C:\curlx_cookies_$username"."_"."$password.txt";
			
			$cookie_file_pointer = fopen($cookie_file, "w+"); 
			if ($cookie_file_pointer == false) {
				//unable to create file;				
				$this->error_msg = "ERROR! Unable to create curl session cookie file !!!";
				return false;								
			}
			$this->set_cookie_file($cookie_file); 

			//No longer necessary, since the server type/location(local/remote) can be determined
			//$this->set_cookie_file("C:\curlx_cookies.txt");			
					
		}//end if
		else {
				
				$dusername = str_replace("/","_",$username);
				$dpassword = str_replace("/","_",$password);
				$cookie_file = "curlx_cookies_$dusername"."_"."$dpassword.txt";
				
				$cookie_file_pointer = fopen($cookie_file, "w+"); 
				if ($cookie_file_pointer == false) {
					//unable to create file;
					$this->error_msg = "ERROR! Unable to create curl session cookie file!!!";
					return 0;
				}
				$this->set_cookie_file("$cookie_file");

		}//end else
		
		//---------- THIS OVER-RIDES THE CONDITION ABOVE, SINCE THE CODE NOW DEPENDS ON VALUES PASSED TO THIS CLASS' SETTER METHODS.
		//$cookie_file = $this->curl_session_cookie_file_location."curlx_cookies_$username"."_"."$password.txt";
		//$cookie_file = "curlx_cookies_$username"."_"."$password.txt";
		//$cookie_file = "curlx_cookies_unique.txt";
		
		$dusername = str_replace("/","_",$username); 
		$cookie_file = "curlx_cookies_$dusername"."_"."$password.txt";
		$cookie_file_pointer = fopen($cookie_file, "w+"); 
		if ($cookie_file_pointer == false) {
			//unable to create file;
			$this->error_msg("Unable to create file");
			return false;
		}
		$this->set_cookie_file("$cookie_file");
		//--------------------------------------------------------------------------------------------------------------------------
		
		if (!file_exists($this->cookie_file)) { $this->error_msg = "ERROR! cookie file not found!!!"; return FALSE; }		
	
		curl_setopt($ch, CURLOPT_COOKIEJAR, $this->cookie_file);
		curl_setopt($ch, CURLOPT_COOKIEFILE, $this->cookie_file);
		//curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	
		curl_setopt($ch, CURLOPT_POST, TRUE);
	
		$data = array(
		'username' => $username,
		'password' => $password,
		'rememberusername' => 0
		);

		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

		$result = curl_exec($ch);
		
		//echo " Serverurl: ".$serverurl." <br /> ";
		//echo $result;//exit;
	
		curl_close($ch);
	
		$lines = file($this->cookie_file); 
		foreach ($lines as $line_num => $line) 
		{
		
			$find = "MoodleSession";
			if (strstr($line, $find)) {
				
				$line = trim($line);
				$line = preg_replace('/\s+/', ' ', $line);
				$parts = explode(' ', $line);
				$moodle_sess =  end($parts);
				
			}
		}
		
		//initialize the $result variable
		$result = FALSE;
		
		if ($this->is_local()) {
			//if the method is executing on a development server, store the cookie like this.
			$result = setcookie("MoodleSession", $moodle_sess, 0, "/nda/e-learn/");
		}
		else {
			//if this method is executing on a production server, store the cookie like this.
			$result = setcookie("MoodleSession", $moodle_sess, 0, "/e-learn/");
		}
		
		$result = setcookie("MoodleSession", $moodle_sess, 0, $this->moodle_path);
		
		//echo $moodle_sess; echo "<br />";
		//var_dump($_COOKIE); exit;
		
		if (!$result) {
			$this->error_msg = "ERROR! Could not set cookie on browser!!!";
			return 0;
		}
		return $moodle_sess;
		
		//return $moodle_sess;
	
	}//end function/method login()
	
	public function logout($username, $moodle_session_file) {
		
		//Initializes the $moodle_user_session variable
		$moodle_user_session = '';
		if (!$this->is_linux_os()) {
			//Then this server is running on Windows O.S or some other non-Unix O.S
			$moodle_user_session = $this->moodle_data_root.'\sessions\sess_'.$moodle_session_file;
		}
		else {
			$moodle_user_session = $this->moodle_data_root.'/sessions/sess_'.$moodle_session_file;	
		}
		//echo $moodle_user_session;
		
		if (!file_exists($moodle_user_session)) {
			$this->error_msg = 'Could not locate user moodle session' ;
			return false;
		}
				
		if (file_exists($moodle_user_session)) {
			$result = unlink($moodle_user_session);
		}
		else {
			$this->error_msg = 'Could not find Moodle session file';
			return false;
		}
		
		if ($result) {
			return 1;
		}
		$this->error_msg = 'Could not delete Moodle session file';
		return false;
		
	}//end function logout()
	
}
?>