<?php
Class Moodle_Soap_Server {
	
	protected $client;
	protected $lr;
	
	public function __construct() {
		
		//require_once ('./classes/mdl_soapserver.php');
		require_once ('../moodle_webservice/classes/mdl_soapserver.php');
		$client = new mdl_soapserver();
		$this->client = $client;
		
		//require_once ('./slib/auth.php');
		//require_once ('../moodle_webservice/slib/auth.php');
		DEFINE ('LOGIN','admin');
		DEFINE ('PASSWORD','Admin123.');		
		$lr = $client->login(LOGIN,PASSWORD);
		$this->lr = $lr;
		
	}//__construct
	
	/** 
	* addCategoryMethod: add a course category
	* @param array $dcategory
	* @return editCategoriesOutput
	*/
	public function createCategory($dcategory) {  
				
		//Create the Course Category object
		$category = new categoryDatum();
		//$category->setAction('');
		//$category->setId(0);
		$category->setName($dcategory['name']);
		$category->setDescription($dcategory['description']);
		$category->setParent($dcategory['parent']);
		//$category->setSortorder(0);
		//$category->setVisible(0);
		//$category->setDepth(0);
		//$category->setPath('');
		//$category->setTheme('');
		
		$res = $this->client->add_category($this->lr->getClient(),$this->lr->getSessionKey(),$category);
		return $res;
		
	}//addCategory()
	
	/** 
	* updateCourses method: This updates information about a course, accepts a numerical array of courses.  
	* @param array $dcourses
	* @return  courseRecord[]
	*/
	public function updateCourse($dcourse) {
				
		$courses = new CourseDatum();
		$courses->setAction('update');
		//$courses->setAction($dcourses['action']);
		$courses->setId($dcourse['id']);
		$courses->setFullname($dcourse['fullname']); 
		$courses->setShortname($dcourse['shortname']);
		$courses->setSummary($dcourse['summary']);		

		$courses = array('0'=>$courses);
		
		//print_r($courses); print('<br /> <br />');
		$res = $this->client->edit_courses($this->lr->getClient(),$this->lr->getSessionKey(),$courses);
		print_r($res);
		
	}//updateCourse()
	
	public function deleteCourse($dcourse) {
		
		$courses = new CourseDatum();
		$courses->setAction('delete');
		$courses->setId($dcourse['id']);

		$courses = array('0'=>$courses);
		
		//print_r($courses); print('<br /> <br />');
		$res = $this->client->edit_courses($this->lr->getClient(),$this->lr->getSessionKey(),$courses);
		print_r($res);
		
	}
	
	/** unenrol students method: UnEnrol students in a course
	* @param string $courseid
	* @param string $courseidfield
	* @param array of string $userids
	* @param string $useridfield
	* @return enrolStudentsReturn
	*/
	public function unenrolStudents($courseid, $userids) {
		
		$res = $this->client->unenrol_students($this->lr->getClient(),$this->lr->getSessionKey(),$courseid,'id',$userids,'id');
		return  $res;
		//return $res->getStudents();
		
	}//unenrollStudents()
	
	/**
	 * create a new faculty, accepts an assoicative array of strings
	 *
	 * @param array $dFaculty
	 * @return object
	 */
	public function createFaculty(array $dFaculty) {

		$dFaculty['parent'] = 0;
		$res = $this->createCategory($dFaculty); 
		return $res;
		
	}
	
	/**
	 * create a new department, accepts an associative array of strings
	 *
	 * @param array $dDept
	 * @param integer $facultyId
	 * @return object
	 */
	public function createDepartment(array $dDept, $facultyId) {
		
		$dDept['parent'] = (int) $facultyId;
		$res = $this->createCategory($dDept);
		return $res;
		
	}
	
	public function  __destruct() {
		
		$this->client->logout($this->lr->getClient(),$this->lr->getSessionKey());
		
	}//__destruct() 
	
}//Class Moodle_Soap_Server
?>